%{!?dist: %define dist .slc5}
Name: cern-java-deployment-ruleset
Version: 0.4.1
Release: 1%{?dist}
Summary: Java (Oracle 1.7.X) Deployment RuleSet for CERN.
Group:   Development/Languages
Source: %{name}-%{version}.tar.gz
License: redistributable
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

%description 
%{name} is Java (Oracle 1.7.X) Deployment RuleSet 
containing whitelist of CERN unsigned java applications
that should not be blocked by JRE.

https://blogs.oracle.com/java-platform-group/entry/introducing_deployment_rule_sets

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT

/usr/bin/install --context=system_u:object_r:lib_t:s0 -D -m 644 DeploymentRuleSet.jar $RPM_BUILD_ROOT/etc/.java/deployment/DeploymentRuleSet.jar

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc README
/etc/.java/deployment/DeploymentRuleSet.jar

%changelog
* Mon Aug 04 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.4.1-1
- el7 rebuild

* Mon Jan 20 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.2-1
- whitelist update
* Wed Jan 15 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.1-1
- initial package
